@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');

:root {
    --padding-container: 100px 0;
    --color-title: #001A49;
}

html{
    scroll-behavior: smooth;
}
section[id]{
    scroll-margin-top: 90px;
}

body {
    font-family: 'Poppins', sans-serif;
}

.container {
    width: 99%;
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
    padding: var(--padding-container);
    
}

.hero {
    width: 100%;
    height: 100vh;
    min-height: 600px;
    max-height: 800px;
    position: relative;
    display: grid;
    grid-template-rows: 100px 1fr;
    color: #fff;
}

.hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg, #0000008c 0%, #0000008c 100%), url('../images/pc.jpg');
    background-size: cover;
    clip-path: polygon(0 0, 100% 0, 100% 80%, 50% 95%, 0 80%);
    z-index: -1;
    filter: saturate(180%);
}

/* Nav */

.nav {
    --padding-container: 0;
    height: 100%;
    display: flex;
    align-items: center;
}


.nav__logo {
    img {
        width: 100px;
        height: 100px;
        padding: 11%;
        margin-top: 25%;
        margin-left: 5px; 
      }

}
.nav__title {
    font-weight: 400;
}

.nav__link {
    margin-left: auto;
    padding: 10px;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: max-content;
    gap: 3em;
}

.nav__items:hover{
    background:#23c1ff;
    color: #0000;
    border-radius:25px;
    box-shadow: 0 0 10px ,
     0 0 20px #44b7f0, 0 0 0  10px ;
     transition-duration: 2s;
     transform: scale(1.03);
}

.nav__items {
    list-style: none;
}

/* ----------------------------------------------
NAV ITEMS
---------------------------------------------- */

.nav__items{animation:scale-up-horizontal-right 1.2s } 
@keyframes scale-up-horizontal-right{0%{transform:scaleX(.4);transform-origin:right center}100%{transform:scaleX(1);transform-origin:right center}}

.nav__links {
    color: #fff;
    text-decoration: none;
}

.nav__menu {
    margin-left: auto;
    cursor: pointer;
    display: none;
}
/* ----------------------------------------------
NAV MENU
---------------------------------------------- */
.nav__menu{animation:scale-up-horizontal-right 1.1s } @keyframes scale-up-horizontal-right{0%{transform:scaleX(.4);transform-origin:right center}100%{transform:scaleX(1);transform-origin:right center}}

.nav__img {
    display: block;
    width: 20px;
}
.nav__close {
    display: var(--show, none);
}
/* WhatsApp   */

.float{
	position:fixed;
	width: 65px;
	height: 65px;
	bottom:40px;
    top: 75%;
	right: 40px;
	background-color:#25d366;
	color:#FFF;
	border-radius:60px;
	text-align:center;
    font-size:35px;
	box-shadow: 2px 2px 4px #e4751a;
    z-index: index 100px;
  
}
.float:hover {
	text-decoration: none;
	color: #ffffff;
  background-color:#0F6291;
}
@keyframes animacionEjemplo {
    0% {
      transform: translateX(0);
    }
    50% {
      transform: translateX(7px);
    }
    100% {
      transform: translateX(0);
    }
  }
  
  .float {
    animation: animacionEjemplo 4s linear infinite;
  }

.my-float{
	margin-top:16px;
}

/* Hero container */

.hero__container {
    max-width: 800px;
    --padding-container: 0;
    display: grid;
    grid-auto-rows: max-content;
    align-content: center;
    gap: 1em;
    padding-bottom: 100px;
    text-align: center;
}
.hero__title {
   
    font-size: 3rem;
    }
/* --hero title-- */
.hero__title{animation:scale-up-bottom 2.5s; } 
@keyframes scale-up-bottom{0%{transform:scale(.4);transform-origin:center bottom}100%{transform:scale(1);transform-origin:center bottom}}


.hero__paragraph{
margin-top: 15px;} 

.hero__paragraph{animation:scale-up-bottom 2.5s; } 
@keyframes scale-up-bottom{0%{transform:scale(.4);transform-origin:center bottom}100%{transform:scale(1);transform-origin:center bottom}}


.cta {
    display: inline-block;
    background-color: #0F6291;
    justify-self: center;
    color: #ffffff;
    text-decoration: none;
    padding: 13px 40px;
    border-radius: 30px;
    margin-top: 25px;
    cursor:grab;
   
}
.cta:hover{
    background:#0F6291;
    box-shadow: 0 0 10px ,
     0 0 40px #03a0a0, 0 0 40px;

}

/* ----------------------------------------------
  ANIMACIÓN EL BOTON DE CONTACTO
---------------------------------------------- */

.cta{animation:scale-up-bottom 2.0s; } 
@keyframes scale-up-bottom{0%{transform:scale(.3);transform-origin:center bottom}100%{transform:scale(1);transform-origin:center bottom}}


/* About */

.about {
    text-align: center;
    margin-top: 35px;

}

.about__title {

    padding: 12px;
}


.subtitle {
    color: var(--color-title);
    font-size: 2rem;
    margin-bottom: 25px;
}

.about__paragraph {
    line-height: 1.5;   
    
}

.about__title {
    width: 105%;
    text-align: center;
    
    
}

.about__paragrah {
    width: 100%;
    text-align: center;
    font-size: 1em;
    max-width: fit-content;
    
}

.about__main {
    padding-top: 45px;
    margin-top: 25px;
    margin-bottom: 50px;
    padding:25px ;
    display: grid;
    width: 100%;
    margin: 18px auto;
    justify-items: center;
    gap: 1em;
    grid-template-columns: repeat(auto-fit, minmax(240px, auto));
}


.about__icons {
    display:inline;
    gap: 4em;
    width: 70%;
    overflow: hidden;
    margin: 15px;
    text-align: center;
}

.about__icon {
    width: 60px;
}

/* Knowledge */

.knowledge {
    background-color: #e5e5f7;
    background-image: radial-gradient(#444cf7 0.5px, transparent 0.5px), radial-gradient(#444cf7 0.5px, #e5e5f7 0.5px);
    background-size: 20px 20px;
    background-position: 0 0, 10px 10px;
    overflow: hidden;
}

.knowledge__container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 4em;
    align-items: center;
}

.knowledge__picture{
    max-width: 500px;
}
.knowledge__paragraph{
    line-height: 1.7;
    margin-bottom: 15px;
}

.knowledge__img{
    width: 100%;
    display: block;
}

/* price */

.price{
    text-align: center;
}

.price__table{
    padding-top: 55px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    gap: 2em;
    
}

.price__element{
    background-color: #e5e5f7;
    text-align: center;
    width: 340px;
    padding: 25px;
    --color-plan: #687171;
    --color-price: #0f5cea;
    --bg-cta: #fff;
    --color-cta: #5454D4;
    --color-items: #696871;
    border-radius: 30px;
    box-shadow: 3px 3px 8px #3d435f;
}

.price__element:hover {
    transform: scale(1.09);
    box-shadow: 0 0 10px ,
     0 1 30px #19f9f1, 0 0 60px;
     transition-duration: 4s;
}

.price__element--best{
    width: 370px;
    padding: 60px 40px;
    background-color: #0F6291;
    --color-plan: rgb(255 255 255 / 75%);
    --color-price: #fff;
    --bg-cta: #ff4000;
    --color-cta: #FFF;
    --color-items: #fff;
    
}

.price__name{
    color: var(--color-plan);
    margin-bottom: 15px;
    font-weight: 300;
}

.price__price{
    font-size: 2.5rem;
    color: var(--color-price);
}

.price__items{
    margin-top: 35px;
    display: grid;
    gap: 1em;
    font-weight: 300;
    font-size: 1.2rem;
    margin-bottom: 50px;
    color: var(--color-items);
}

.price__cta{
    display: block;
    padding: 20px 0;
    border-radius: 15px;
    text-decoration: none;
    background-color: var(--bg-cta);
    font-weight: 600;
    color: var(--color-cta);
    box-shadow: 0 0,5 4px rgba(2, 2, 4, .7);
}

/* Testimony */

.testimony{
    background-color: #e5e5f7;
}

.testimony__container{
    display: grid;
    grid-template-columns: 50px 1fr 50px;
    gap: 1em;
    align-items: center;
}

.testimony__body{
    display: grid;
    grid-template-columns: 1fr max-content;
    justify-content: space-between;
    align-items: center;
    gap: 2em;
    grid-column: 2/3;
    grid-row: 1/2;
    opacity: 0;
    pointer-events: none;
}

.testimony__body--show{
    pointer-events: unset;
    opacity: 1;
    transition: opacity 1.5s ease-in-out;
}

.testimony__img{
    width: 250px;
    height: 250px;
    border-radius: 50%;
    object-fit: cover;
    object-position: 50% 30%;
    filter: saturate(180%);
}

.testimony__texts{
    max-width: 700px;
    text-align: justify;
}

.testimony__course{
    background-color: royalblue;
    color: #fff;
    display: inline-block;
    padding: 5px;
}

.testimony__arrow{
    width: 100%;
    cursor: pointer;
}



/* Media queries */

@media (max-width:800px){
    .nav__menu{
        display: block;
        top: 30px;
        height: 25px;
        width: 45px;
        cursor: pointer;

    }

    .nav__link--menu{
        position: fixed;
        background-color: #eb5b0e;
        top: 5px;
        right: 0;
        height: 50%;
        width: 48%;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
        z-index: 130;
        opacity: 0;
        pointer-events: none;
        transition: .9s opacity;
        border-radius: 35px;
        
    }

    .nav__link--show{
        --show: block;
        opacity:1 ;
        pointer-events: unset;
    }

    .nav__close{
        position: absolute;
        top: 30px;
        right: 25px;
        width: 30px;
        cursor: pointer;
    }

    .hero__title{
        font-size: 2.5rem;
    }


    .about__main{
        gap: 2em;
    }

    .about__icons:last-of-type{
        grid-column: 1/-1;
    }


    .knowledge__container{
        grid-template-columns: 1fr;
        grid-template-rows: max-content 1fr;
        gap: 3em;
        text-align: center;
    }

    .knowledge__picture{
        grid-row: 1/2;
        justify-self: center;
    }

    .testimony__container{
        grid-template-columns: 30px 1fr 30px;
    }

    .testimony__body{
        grid-template-columns: 1fr;
        grid-template-rows: max-content max-content;
        gap: 3em;
        justify-items:center ;
    }
    .testimony__img{
        width: 200px;
        height: 200px;
        
    }

    .questions__copy{
        width: 100%;
    }

    .footer__container{
        flex-wrap: wrap;
    }

    .nav--footer{
        width: 100%;
        justify-items: center;
    }

    .nav__link--footer{
        width: 100%;
        justify-content: space-evenly;
        margin: 0;
    }

    .footer__form{
        width: 100%;
        justify-content: space-evenly;
    }

    .footer__input{
        flex: 1;
    }

}

@media (max-width:600px){
    .hero__title{
        font-size: 2rem;
    }

    .hero__paragraph{
        font-size: 1rem;
    }

    .subtitle{
        font-size: 1.8rem;
    }

    .price__element{
        width: 90%;
    }

    .price__element--best{
        width: 90%;
        /* padding: 40px; */
    }

    .price__price{
        font-size: 2rem;
    }

    .testimony{
        --padding-container: 60px 0;
    }

    .testimony__container{
        grid-template-columns: 28px 1fr 28px;
        gap: .9em;
    }

    .testimony__arrow{
        width: 100%;
    }

    .testimony__course{
        margin-top: 15px;
    }

    .footer__title{
        justify-self: start;
        margin-bottom: 5px;
    }
}

/* Footer */

.pie-pagina{
    width: 100%;
    background-color: #0F6291;
    
}

.pie-pagina .grupo-1{
    width: 100%;
    max-width: 1200px;
    margin:auto;
    display:grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 65px;
    padding: 90px 0px;
    }

    .pie-pagina .grupo-1 .box figure{
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .pie-pagina .grupo-1 .box figure img{
        width: 150px;
       
    }

    .pie-pagina .grupo-1 .box h2{
        color: #fff;
        margin-bottom: 20px;
        font-size: px;
       
    }

    .pie-pagina .grupo-1 .box p{
        color: #efefef;
        margin-bottom: 6px;
        text-align: left;
    }

    .pie-pagina .grupo-1 .red-social a{
        display: inline-block;
        text-decoration: none;
        width: 40px;
        height: 40px;
        line-height: 40px;
        color: #fff;
        margin-right: 10px;
        background-color: #0d2033;
        border-radius: 50%;
        text-align: center;
        transition: all 300ms ease;

    }

    .pie-pagina .grupo-1 .red-social a:hover{
        color: #03a0a0;
    }

    .pie-pagina .grupo-2{
        background-color: #0a1a2a;
        padding: 10px 10px;
        text-align: center;
        color: #fff;
    }

    .pie-pagina .grupo-2 small{
        font-size: 12px;
    }

    @media screen and (max-width:800px){
        .pie-pagina .grupo-1{
            width: 100%;
            grid-template-columns: repeat(1, 1fr);
            grid-gap: 45px;
            padding: 30px 29px 30px;
            }
    }
